Skip to main content
`Ctrl`+`K`

# DMPlexConstructCohesiveCells

Construct cohesive cells which split the face along an internal interface

## Synopsis

    #include "petscdmplex.h"
    #include "petscdmlabel.h"
    PetscErrorCode DMPlexConstructCohesiveCells(DM dm, DMLabel label, DMLabel splitLabel, DM *dmSplit)

Collective

## Input Parameters

- dm - The original `DM`

- label - The `DMLabel` specifying the boundary faces (this could be auto-generated)

## Output Parameters

- splitLabel - The `DMLabel` containing the split points, or `NULL` if no output is desired

- dmSplit - The new `DM`

## See Also

DMPlex: Unstructured Grids, `DM`, `DMPLEX`, `DMCreate()`, `DMPlexLabelCohesiveComplete()`

## Level

developer

## Location

src/dm/impls/plex/plexsubmesh.c

## Implementations

DMPlexConstructCohesiveCells_Internal() in src/dm/impls/plex/plexsubmesh.c

Index of all DMPlex routines
Table of Contents for all manual pages
Index of all manual pages